Skip to main content
PATCH
/
facebook
/
scheduled_posts
/
{post_id}
Update a Facebook post
curl --request PATCH \
  --url https://scheduler.dashsocial.com/facebook/scheduled_posts/{post_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "alt_text_media_map": {},
  "approval_requests": [
    {
      "requested_by_user_id": 123,
      "review_user_id": 123
    }
  ],
  "auto_publish": true,
  "board_ids": [
    1
  ],
  "campaign_ids": [
    1
  ],
  "content_tag_ids": [
    1
  ],
  "cover_image_media_id": 123,
  "duplicate_to_brand_ids": [
    1
  ],
  "first_comment": "<string>",
  "link": "<string>",
  "link_preview": {
    "description": "<string>",
    "image_media_id": 123,
    "title": "<string>"
  },
  "location_id": "<string>",
  "media_ids": [
    1
  ],
  "message": "<string>",
  "post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "rss_feed_id": 123,
  "rss_guid": "<string>",
  "rss_publish_date": "2023-11-07T05:31:56Z",
  "sort_index": 123,
  "subtitle_content": "<string>",
  "targeting": {
    "geo_locations": {
      "countries": [
        "<string>"
      ]
    }
  },
  "thumb_offset": 123,
  "thumbnail_url": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "title": "<string>",
  "video_title": "<string>"
}
'
{
  "brand_id": 1,
  "auto_publish": true,
  "message": "<string>",
  "media_ids": [
    1
  ],
  "timestamp": "2023-11-07T05:31:56Z",
  "first_comment": "<string>",
  "link": "<string>",
  "cover_image_media_id": 123,
  "location_id": "<string>",
  "thumb_offset": 123,
  "video_title": "<string>",
  "targeting": {
    "geo_locations": {
      "countries": [
        "<string>"
      ]
    }
  },
  "alt_text_media_map": {},
  "approval_requests": [
    {
      "brand_id": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z",
      "id": 123,
      "post_id": 123,
      "requested_by_user_id": 123,
      "review_user_id": 123,
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "approval_status": "<string>",
  "board_ids": [
    1
  ],
  "campaign_ids": [
    1
  ],
  "content_tag_ids": [
    1
  ],
  "cover_image_media": {},
  "created_at": "2023-11-07T05:31:56Z",
  "has_scheduled_time": true,
  "id": 1,
  "link_preview": {
    "can_edit": true,
    "description": "<string>",
    "image": "<string>",
    "image_media_id": 123,
    "title": "<string>",
    "url": "<string>"
  },
  "live_post_url": "<string>",
  "location": {
    "id": "<string>",
    "is_verified": true,
    "link": "<string>",
    "location": {},
    "name": "<string>"
  },
  "media": [
    {}
  ],
  "num_of_approvals_required": 123,
  "post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "rss_feed_id": 123,
  "rss_guid": "<string>",
  "rss_publish_date": "2023-11-07T05:31:56Z",
  "sort_index": 123,
  "source_id": "<string>",
  "subtitle_content": "<string>",
  "subtitle_error_message": "<string>",
  "subtitle_metadata": {
    "filename": "<string>"
  },
  "subtitle_upload_status": "<string>",
  "thumbnail_url": "<string>",
  "title": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

post_id
integer
required

The ID of the post to update

Required range: x >= 0

Body

application/json
alt_text_media_map
object

Mapping for the alt text of each media in the post

approval_policy
enum<string>

The approval policy of the approval request

Available options:
APPROVAL_REQUIRED,
APPROVAL_NOT_REQUIRED
approval_requests
object[]

The list of approval requests associated with the post.

auto_publish
boolean

Whether the post should be auto published.

board_ids
integer[]

The list of the board ids associated with the post.

Required range: x >= 0
campaign_ids
integer[]

The list of the campaign ids associated with the post.

Required range: x >= 0
content_tag_ids
integer[]

The list of the content tag ids associated with the post.

Required range: x >= 0
cover_image_media_id
integer | null

The id of the media which will be published as a FB Reel cover image

creation_source
enum<string>

To identify the user or the application that created the post.

Available options:
RSS_FEED
duplicate_to_brand_ids
integer[]
write-only

The list of duplicate to brand ids.

Maximum array length: 55
Required range: x >= 0
first_comment
string | null

The first comment to be auto published for the post.

Maximum string length: 8000

URL in the message to feature

Data related to the link field

location_id
string | null

Facebook ID of the location shown in the post

media_ids
integer[]

The list of the media ids attached to the post.

Required range: x >= 0
message
string

Text content of the post

post_group_id
string<uuid>

The id of the post group associated with the post.

post_type
enum<string>

Type of Facebook Post to be published

Available options:
POST,
REEL
rss_feed_id
integer | null

Foreign key reference to the RSS feed table.

rss_guid
string | null

The unique identifier coming from RSS Feed.

rss_publish_date
string<date-time> | null

The timestamp of when an RSS feed item was published

sort_index
number

The sorted index for unscheduled posts.

status
enum<string>

The current status of the post.

Available options:
AUTOPUBLISHING,
DRAFT,
EXPIRED,
FAILED,
IMPORTED,
MISSING_APPROVALS,
PARTIALLY_FAILED,
POSTED,
SCHEDULED,
SKIPPED,
USERS_NOTIFIED
subtitle_content
string | null

Raw SRT subtitle file content as text

subtitle_metadata
object

Subtitle metadata including language code and filename

targeting
object

Limit the audience of the post to these criteria

thumb_offset
integer | null

Time offset in seconds from the video for the thumbnail

thumbnail_url
string<url> | null

Image URL for the thumbnail to use

timestamp
string<date-time> | null

The scheduled date & time for publishing the post.

title
string | null

Deprecated, use video_title

video_title
string | null

The title given to the attached video when opened

Response

OK

post_type
enum<string>
required

Type of Facebook Post to be published

Available options:
POST,
REEL
brand_id
integer

The id of the brand to which the post belongs.

Required range: x >= 0
auto_publish
boolean

Whether the post should be auto published.

status
enum<string>

The current status of the post.

Available options:
AUTOPUBLISHING,
DRAFT,
EXPIRED,
FAILED,
IMPORTED,
MISSING_APPROVALS,
PARTIALLY_FAILED,
POSTED,
SCHEDULED,
SKIPPED,
USERS_NOTIFIED
message
string

Text content of the post

media_ids
integer[]

The list of the media ids attached to the post.

Required range: x >= 0
timestamp
string<date-time> | null

The scheduled date & time for publishing the post.

first_comment
string | null

The first comment to be auto published for the post.

Maximum string length: 8000

URL in the message to feature

cover_image_media_id
integer | null

The id of the media which will be published as a FB Reel cover image

location_id
string | null

Facebook ID of the location shown in the post

thumb_offset
integer | null

Time offset in seconds from the video for the thumbnail

video_title
string | null

The title given to the attached video when opened

targeting
object

Limit the audience of the post to these criteria

alt_text_media_map
object

Mapping for the alt text of each media in the post

approval_policy
enum<string>

The approval policy of the approval request

Available options:
APPROVAL_REQUIRED,
APPROVAL_NOT_REQUIRED
approval_requests
object[]

The list of approval requests associated with the post.

approval_status
string
read-only

The approval status of the post.

auto_publish_error
enum<string>
read-only
Available options:
ACCOUNT_RESTRICTED,
AGAINST_COMMUNITY_STANDARDS,
APPROVED_PUBLISHING_DATES_HAVE_NO_OVERLAP,
AUTO_PUBLISH_LIMIT_EXCEEDED,
DUPLICATE_POST,
FLAGGED_AS_SPAM,
INTERNAL,
INVALID_ACCOUNT_TYPE,
INVALID_AUTH,
INVALID_DESCRIPTION,
INVALID_IMAGE,
INVALID_PIN_BOARD,
INVALID_PRODUCT_TAGS,
INVALID_TARGETING,
INVALID_TITLE,
INVALID_VIDEO_THUMBNAIL,
MEDIA_CONTAINER_EXPIRED,
MISSING_AUTH,
OUTSIDE_OF_APPROVED_PUBLISHING_DATES,
PAGE_PUBLISHING_AUTH_REQUIRED,
PLATFORM_ERROR,
REJECTED,
TEXT_LENGTH_EXCEEDED
board_ids
integer[]

The list of the board ids associated with the post.

Required range: x >= 0
campaign_ids
integer[]

The list of the campaign ids associated with the post.

Required range: x >= 0
content_tag_ids
integer[]

The list of the content tag ids associated with the post.

Required range: x >= 0
cover_image_media
object
read-only

The media to be published as a FB Reel cover image

created_at
string<date-time>
read-only

The time when the post was created.

creation_source
enum<string>

To identify the user or the application that created the post.

Available options:
RSS_FEED
first_comment_status
enum<string>
read-only
Available options:
SUCCESS,
FAILED
has_scheduled_time
boolean
read-only

Indicates if the post has a scheduled timestamp

id
integer
read-only

A unique id for the post.

Required range: x >= 0

Data related to the link field

live_post_url
string<url>
read-only

Link to the live published post.

location
object

Data related to the location_id field

media
object[]
read-only

The list of media attached to the post.

num_of_approvals_required
integer
read-only

The number of approvals required to approve the request.

post_group_id
string<uuid>

The id of the post group associated with the post.

rss_feed_id
integer | null

Foreign key reference to the RSS feed table.

rss_guid
string | null

The unique identifier coming from RSS Feed.

rss_publish_date
string<date-time> | null

The timestamp of when an RSS feed item was published

sort_index
number

The sorted index for unscheduled posts.

source_id
string | null
read-only
subtitle_content
string | null

Raw SRT subtitle file content as text

subtitle_error_message
string | null
read-only

Error message if subtitle upload failed

subtitle_metadata
object

Subtitle metadata including language code and filename

subtitle_upload_status
string | null
read-only

Computed status: SUCCESS if no error, FAILED if error exists

thumbnail_url
string<url> | null

Image URL for the thumbnail to use

title
string | null

Deprecated, use video_title

updated_at
string<date-time>
read-only

The time when the post was last updated.